Apache Tomcat 6.0.51

## org.apache.jk.common
Class ChannelNioSocket.SocketOutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.jk.common.ChannelNioSocket.SocketOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

Enclosing class:
  ChannelNioSocket

    protected class ChannelNioSocket.SocketOutputStream

extends java.io.OutputStream

Method Summary
`void` | `flush()`
`void` | `write(byte[] data)`
`void` | `write(byte[] data, int offset, int len)`
`void` | `write(int b)`

Methods inherited from class java.io.OutputStream
`close`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] data)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] data,
                      int offset,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.